<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:gravity="top"
    android:orientation="vertical"
    android:padding="16dp"
    tools:context=".Teacher.TeacherActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginVertical="10dp"
        android:gravity="center"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Check Attendance"
            android:textColor="@color/black"
            android:textSize="30sp"
            android:textStyle="bold" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="vertical">

        <LinearLayout
            android:layout_marginTop="20dp"
            android:layout_marginBottom="20dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <ImageButton
                android:layout_gravity="center"
                android:id="@+id/selectDateButton"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:background="@drawable/__cal"
                android:text="Select Date" />

            <EditText
                android:layout_gravity="center"
                android:id="@+id/dateInput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Enter Date (e.g., 2023-10-23)"
                android:inputType="text"
                android:backgroundTint="@color/black"
                android:textColor="@color/black"
                android:textColorHint="@color/hint_color" />

        </LinearLayout>

        <Button
            android:id="@+id/searchButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/dateInput"
            android:layout_marginBottom="8dp"
            android:text="Search"
            android:textColor="@color/white" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scrollbarThumbVertical="@null">

            <TextView
                android:id="@+id/resultText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/searchButton"
                android:layout_marginTop="16dp"
                android:text="Search Results Will Appear Here"
                android:textColor="@color/black"
                android:textSize="21sp" />

        </ScrollView>

    </LinearLayout>

</LinearLayout>